package xn.xxp.widget

import xn.xxp.room.bean.NoticeSummary


/**
 * info
 *
 * @author ReiChin_
 */
interface ITitleBar {

    fun setSigned(signed: Boolean) {
    }

    fun setShowNotice(showNotice: Boolean) {
    }

    fun setTitleInfoFromSp() {
    }

    fun updateNotice(data: List<NoticeSummary>?) {
    }

    fun refreshCountDownView(countDown: Int) {
    }

    fun setTitleListener(listener: TitleListener) {
    }

    interface TitleListener {
        fun onNoticeViewClicked()
    }

}